Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add .bundle to .dockerignore #7895

Merged
merged 1 commit into from Jun 26, 2018
Merged

Add .bundle to .dockerignore #7895

merged 1 commit into from Jun 26, 2018

Conversation

@ykzts
Copy link
Member

ykzts commented Jun 26, 2018

$ bundle install --path vendor/bundle
$ #
$ # (snip)
$ #
$ docker build -t ykzts/mastodon:edge --no-cache .
$ docker run --rm ykzts/mastodon:edge cat .bundle/config
---
BUNDLE_PATH: "vendor/bundle/"
$ docker run --rm ykzts/mastodon:edge ./bin/rails -v
/usr/local/lib/ruby/site_ruby/2.4.0/bundler/spec_set.rb:88:in `block in materialize': Could not find rpam2-4.0.2 in any of the sources (Bundler::GemNotFound)
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/spec_set.rb:82:in `map!'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/spec_set.rb:82:in `materialize'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/definition.rb:170:in `specs'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/definition.rb:237:in `specs_for'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/definition.rb:226:in `requested_specs'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:108:in `block in definition_method'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:20:in `setup'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler.rb:107:in `setup'
        from /usr/local/lib/ruby/site_ruby/2.4.0/bundler/setup.rb:20:in `<top (required)>'
        from /usr/local/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:59:in `require'
        from /usr/local/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:59:in `require'
        from /mastodon/config/boot.rb:3:in `<top (required)>'
        from ./bin/rails:3:in `require_relative'
        from ./bin/rails:3:in `<main>'
@Gargron Gargron merged commit 995f8b3 into tootsuite:master Jun 26, 2018
9 checks passed
9 checks passed
ci/circleci: build Your tests passed on CircleCI!
Details
ci/circleci: check-i18n Your tests passed on CircleCI!
Details
ci/circleci: install Your tests passed on CircleCI!
Details
ci/circleci: install-ruby2.4 Your tests passed on CircleCI!
Details
ci/circleci: install-ruby2.5 Your tests passed on CircleCI!
Details
ci/circleci: test-ruby2.4 Your tests passed on CircleCI!
Details
ci/circleci: test-ruby2.5 Your tests passed on CircleCI!
Details
ci/circleci: test-webui Your tests passed on CircleCI!
Details
codeclimate All good!
Details
@ykzts ykzts deleted the ykzts:dockerignore branch Jun 27, 2018
lawremipsum added a commit to lawremipsum/mspsocial-mastodon that referenced this pull request Jul 7, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants
You can’t perform that action at this time.